Delete job (batch)
curl --request DELETE \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/batch \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"jobs": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/batch"
payload = { "jobs": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({jobs: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}]})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Job
Delete job (batch)
DELETE
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
batch
Delete job (batch)
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Query Parameters
When true, permanently purges the deleted jobs
Body
application/json
Jobs to delete
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Response
No Content
Was this page helpful?
⌘I